Get a signed envelope
curl --request GET \
--url https://formable-production.up.railway.app/api/v0/signature-requests/{signatureRequestId}/signed-envelope \
--header 'Authorization: Bearer <token>'import requests
url = "https://formable-production.up.railway.app/api/v0/signature-requests/{signatureRequestId}/signed-envelope"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://formable-production.up.railway.app/api/v0/signature-requests/{signatureRequestId}/signed-envelope', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"signedEnvelopePresignedUrl": "https://s3.amazonaws.com/bucket/signed-envelope.pdf?presigned-params"
}{
"error": "templateId is required"
}{
"error": "Auth token not valid"
}{
"error": "Client not authorized to perform this action"
}{
"error": "Resource not found for id abc123xyz"
}{
"error": "Envelope has not been signed yet"
}{
"error": "Internal server error"
}Signature Requests
Get a signed envelope
Retrieves a presigned URL for the signed document associated with a signature request. The signature request must be completed before the signed envelope is available.
GET
/
v0
/
signature-requests
/
{signatureRequestId}
/
signed-envelope
Get a signed envelope
Authorizations
OAuth 2.0 client credentials access token, passed as a Bearer token in the Authorization header.
Path Parameters
The ID of the signature request.
Response
Signed envelope retrieved successfully.
Presigned URL to download the signed document.
Example:
"https://s3.amazonaws.com/bucket/signed-envelope.pdf?presigned-params"
⌘I